col sql_feature for a40;
col description for a50;

with v as (
select f.sql_feature,f.description,f.property,h.parent_id
from v$sql_feature f
     join v$sql_feature_hierarchy h 
          on f.sql_feature = h.sql_feature
)
,feature_hierarchy as (
   select 
     rpad('.',(level-1)*2,'.')|| sql_feature as sql_feature
    ,sys_connect_by_path(replace(sql_feature,'QKSFM_'),'/') feature_path
    ,description
    ,property
   from v
   start with parent_id is null
           and description not like 'Fix-%'
   connect by parent_id = prior sql_feature
           and not(sql_feature='QKSFM_CBQT' and parent_id='QKSFM_CBO')
)
select * 
from feature_hierarchy
/
